/*
    NPDS 2001 - 2020
    Tinymce V5 implémentation
*/
(function() {
tinymce.PluginManager.requireLangPack("npds"),tinymce.PluginManager.add('npds', 

function(editor,url) {
   editor.ui.registry.addMenuButton('npds_langue', {
      text: tinymce.translate('npds_what_desc'),
      fetch: function (callback) {
         var items = [
            {
               type: 'menuitem',
               text: tinymce.translate('npds_all_desc'),
               onAction: function () {
                  editor.insertContent('&nbsp;[french] [/french]&nbsp;[english] [/english]&nbsp;[spanish] [/spanish]&nbsp;[german] [/german]&nbsp;[chinese] [/chinese]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_french_desc'),
               onAction: function () {
                  editor.insertContent('&nbsp;[french] [/french]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_frenchonly_desc'),
               onAction: function () {
                  editor.insertContent('&nbsp;[!french] [/french]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_english_desc'),
               onAction: function () {
                  editor.insertContent('&nbsp;[english] [/english]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_englishonly_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[!english] [/english]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_spanish_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[spanish] [/spanish]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_spanishonly_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[!spanish] [/spanish]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_chinese_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[chinese] [/chinese]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_chineseonly_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[!chinese] [/chinese]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_german_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[german] [/german]&nbsp;');
               }
            },
            {
               type: 'menuitem',
               text: tinymce.translate('npds_germanonly_desc'),
               onAction: function() {
                  editor.insertContent('&nbsp;[!german] [/german]&nbsp;');
               }
            }
         ]
         callback(items);
      }
   }),

   editor.ui.registry.addButton('npds_img', {
      text: '<image src="'+url+'/images/npds_img.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      tooltip : tinymce.translate('npds_img_desc'),
      onAction : function () {
         NPDS_img();
      },
   });
   var NPDS_img = function () {
      return editor.windowManager.openUrl({
         title : tinymce.translate('npds_img_desc'),
         url : 'modules.php?ModPath=f-manager&ModStart=f-manager&FmaRep=bank-public',
         width : 550,
         height : 500,
         resizable : 'yes',
         scrollbars : 'yes',
         inline : 1
      },
      {
          plugin_url : url, // Plugin absolute URL
       });
    };

   editor.ui.registry.addButton('npds_perso', {
      text: '<image src="'+url+'/images/npds_perso.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      tooltip : tinymce.translate('npds_perso_desc'),
      onAction : function () {
         NPDS_perso();
      },
   });
   var NPDS_perso = function () {
      return editor.windowManager.openUrl({
         title : tinymce.translate('npds_perso_desc'),
         url : 'modules.php?ModPath=f-manager&ModStart=f-manager&FmaRep=bank-membre',
         width : 550,
         height : 500,
         resizable : 'yes',
         scrollbars : 'yes',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
     
    
   var NPDS_Mns = function () {
      editor.windowManager.openUrl({
         title : tinymce.translate('npds_mns_desc'),
         url : 'modules.php?ModPath=f-manager&ModStart=f-manager&FmaRep=minisite-lec',
         width : 450,
         height : 500,
         resizable : 'yes',
         scrollbars : 'yes',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
   editor.ui.registry.addButton('npds_mns', {
      text: '<image src="'+url+'/images/npds_mns.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      tooltip : tinymce.translate('npds_mns_desc'),
      onAction : function () {
         NPDS_Mns();
      },
   });


   var NPDS_Upl = function () {
      editor.windowManager.openUrl({
         title : tinymce.translate('npds_upl_desc'),
         url : 'modules.php?ModPath=upload&ModStart=include_editeur/upload_editeur2&apli=editeur',
         width : 550,
         height : 250,
         resizable : 'yes',
         scrollbars : 'no',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
   editor.ui.registry.addButton('npds_upl', {
      text: '<image src="'+url+'/images/npds_upload.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      tooltip : tinymce.translate('npds_upl_desc'),
      onAction : function () {
         NPDS_Upl();
      },
   });

//==> réservé à des contextes ou UN groupe existe dans les paramètres (ex : wspad) donc ne pas utiliser dans le context commun
   var NPDS_Gupl = function () {
      editor.windowManager.openUrl({
         title : 'Télécharger vers groupe',
         url : 'modules.php?ModPath=upload&ModStart=include_editeur/upload_editeur2&apli=editeur'+tinymce.settings.tiny_mce_groupe,
         width : 350,
         height : 300,
         resizable : 'yes',
         scrollbars : 'no',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
   editor.ui.registry.addButton('npds_gupl', {
      tooltip : tinymce.translate('npds_upl_desc'),
      text: '<image src="'+url+'/images/npds_upload.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      onAction : function () {
         NPDS_Gupl();
      },
   });
   
   var NPDS_GMns = function () {
      editor.windowManager.openUrl({
         title : 'gmnstmp',
         url : 'modules.php?ModPath=f-manager&ModStart=f-manager&FmaRep=minisite-lec-groupe'+tinymce.settings.tiny_mce_groupe,
         width : 450,
         height : 500,
         resizable : 'yes',
         scrollbars : 'yes',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
   editor.ui.registry.addButton('npds_gmns', {
      text: '<image src="'+url+'/images/npds_mns.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      tooltip : tinymce.translate('npds_mns_desc'),
      onAction : function () {
         NPDS_GMns();
      },
   });

   editor.ui.registry.addButton('npds_gperso', {
      text: '<image src="'+url+'/images/npds_perso.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      tooltip : tinymce.translate('npds_perso_desc'),
      onAction : function () {
         NPDS_GPerso();
      },
   });
   var NPDS_GPerso = function () {
      return editor.windowManager.openUrl({
         title : 'gtmp',
         url : 'modules.php?ModPath=f-manager&ModStart=f-manager&FmaRep=bank-groupe'+tinymce.settings.tiny_mce_groupe,
         width : 450,
         height : 500,
         resizable : 'yes',
         scrollbars : 'yes',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
// <== réservé à des contextes ou UN groupe existe dans les paramètres (ex : wspad) donc ne pas utiliser dans le context commun


   editor.ui.registry.addButton('npds_metal', {
      tooltip : tinymce.translate('npds_metal_desc'),
      text: '<image src="'+url+'/images/npds_metal.png" style="height: 18px;width: 18px;padding: 3px 0px 0px 0px;"/ >',
      onAction : function () {
         NPDS_MetaL();
      },
   });
   var NPDS_MetaL = function () {
      editor.windowManager.openUrl({
         title : 'METAMOT NPDS',
         url : 'modules.php?ModPath=meta-lang&ModStart=adv-meta_lang-doc',
         width : 700,
         height : 400,
         resizable : 'yes',
         scrollbars : 'yes',
         inline : 1
      }, {
         plugin_url : url, // Plugin absolute URL
      });
   };
   
   
})
})
();